Index: Makefile
===================================================================
--- Makefile	(revision 307617)
+++ Makefile	(working copy)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	hgsubversion
-# Date created:				07 May 2012
 # Whom:					William Grzybowski
-#
 # $FreeBSD$
-#
 
 PORTNAME=	hgsubversion
-PORTVERSION=	1.4
+PORTVERSION=	1.5
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -14,12 +10,20 @@
 MAINTAINER=	william88@gmail.com
 COMMENT=	Mercurial extension that allows using it as a Subversion client
 
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}subversion>=0:${PORTSDIR}/devel/py-subversion \
-	${PYTHON_PKGNAMEPREFIX}subvertpy>=0:${PORTSDIR}/devel/py-subvertpy
+OPTIONS_DEFINE=	SUBVERTPY
+OPTIONS_DEFAULT=	SUBVERTPY
 
+SUBVERTPY_DESC=	Use subvertpy python bindings
+
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MSUBVERTPY}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}subversion>=0:${PORTSDIR}/devel/py-subversion
+.else
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}subvertpy>=0:${PORTSDIR}/devel/py-subvertpy
+.endif
+
 USE_PYTHON=	2.5+
 USE_PYDISTUTILS=	easy_install
 
-PLIST_SUB=	VERSION=${PORTVERSION} PYVER=${PYTHON_VERSION:S/python//}
-
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
Index: distinfo
===================================================================
--- distinfo	(revision 307617)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (hgsubversion-1.4.tar.gz) = e3febee217ce321d316712c4c75236dcc2f2769c329c687114e2c37d303f1c0f
-SIZE (hgsubversion-1.4.tar.gz) = 133564
+SHA256 (hgsubversion-1.5.tar.gz) = c45cfcfa635d4f4dd6e1ccc137ee1a183e2c41d9b47299a673d1b9eed80383cc
+SIZE (hgsubversion-1.5.tar.gz) = 153100
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 307617)
+++ pkg-plist	(working copy)
@@ -1,63 +1,72 @@
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/maps.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__init__.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/stupid.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__version__.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/wrappers.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/stupid.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/pushmod.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/util.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/replay.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnmeta.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/editor.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnexternals.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnrepo.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__version__.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/maps.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnmeta.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/pushmod.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/util.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__init__.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svncommands.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/replay.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__init__.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/wrappers.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svncommands.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/stupid.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/pushmod.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/util.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/editor.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnmeta.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/__version__.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/maps.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnrepo.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnrepo.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/help/subversion.rst
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/editor.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnexternals.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/__init__.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/common.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/svn_swig_wrapper.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/subvertpy_wrapper.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/__init__.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/common.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/subvertpy_wrapper.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/svn_swig_wrapper.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/svn_swig_wrapper.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/common.pyc
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/__init__.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap/subvertpy_wrapper.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnexternals.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/wrappers.py
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/replay.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svncommands.pyo
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/PKG-INFO
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/not-zip-safe
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/requires.txt
-%%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO/SOURCES.txt
-@dirrm %%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/svnwrap
-@dirrm %%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion/help
-@dirrm %%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg/hgsubversion
-@dirrm %%PYTHON_SITELIBDIR%%/hgsubversion-%%VERSION%%-py%%PYVER%%.egg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__version__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__version__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/__version__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/editor.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/editor.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/editor.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/help/subversion.rst
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/updatemeta.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/updatemeta.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks/updatemeta.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/maps.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/maps.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/maps.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/pushmod.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/pushmod.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/pushmod.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/replay.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/replay.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/replay.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/stupid.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/stupid.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/stupid.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svncommands.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svncommands.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svncommands.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnexternals.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnexternals.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnexternals.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnmeta.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnmeta.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnmeta.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnrepo.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnrepo.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnrepo.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/common.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/common.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/common.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/subvertpy_wrapper.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/subvertpy_wrapper.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/subvertpy_wrapper.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/svn_swig_wrapper.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/svn_swig_wrapper.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap/svn_swig_wrapper.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/verify.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/verify.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/verify.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/wrappers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/wrappers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/wrappers.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/svnwrap
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/hooks
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion/help
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/hgsubversion
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
